# std::auto_ptr<T>::reset

From cppreference.com
< cpp‎ | memory‎ | auto ptr

void reset( T* p = 0 ) throw(); |  | (deprecated in C++11) (removed in C++17)

Replaces the held pointer by `p`. If the currently held pointer is not null pointer, delete get() is called.

### Parameters

p | - | a pointer to an object to manage

### Return value

(none)

### See also

release | releases ownership of the managed object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/auto_ptr/reset&oldid=108392"